//+------------------------------------------------------------------+
//|                                     MTF_Cycle_KROUFR_version.mq4 |
//+------------------------------------------------------------------+
#property  copyright "Copyright  2008 | Grayman77, zIG, akadex"
#property  link      "ForexResearch"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_color2 White
#property indicator_color3 Aqua
#property indicator_level1 80
#property indicator_level2 20
#property indicator_level3 50
#property indicator_levelcolor SlateGray

extern int Period2=240;
extern int Period3=1440;

extern int  FastMA   = 12;
extern int  SlowMA   = 24;
extern int  Crosses  = 50;
extern bool Comments = false; 

double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexBuffer(2,ExtMapBuffer3);
   return(0);
}
int deinit()
{
 Comment("");
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int i,limit,counted_bars=IndicatorCounted();

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit = MathMin(Bars-1,Bars-counted_bars);
           limit = MathMin(Bars-1,MathMax(limit,2*Period2/Period()));
           limit = MathMin(Bars-1,MathMax(limit,2*Period3/Period()));

   //
   //
   //
   //
   //
   
   for(i=limit;i>=0;i--)
   {
      int Shift2 = iBarShift(NULL,Period2,Time[i],false);
      int Shift3 = iBarShift(NULL,Period3,Time[i],false);
  
         ExtMapBuffer1[i]=iCustom(Symbol(),0      ,"Cycle_KROUFR_version_",FastMA,SlowMA,Crosses,Comments,0,i);
         ExtMapBuffer2[i]=iCustom(Symbol(),Period2,"Cycle_KROUFR_version_",FastMA,SlowMA,Crosses,Comments,0,Shift2);
         ExtMapBuffer3[i]=iCustom(Symbol(),Period3,"Cycle_KROUFR_version_",FastMA,SlowMA,Crosses,Comments,0,Shift3);
   }
   return(0);
}




